Page 1 of 2

Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Sun Oct 18, 2009 11:29 pm
by rwelch
Hi
just updated to snow leopard today. As expected photoshop elements 6 would not recognise my Silverfast Ai v6.4.1 with SilverFast (UmaxSDKIT8) plug in for my Powerlook 1000. However after finishing the upgrade I went through each app to check what could be trashed.

I found that if i launched silverfast with its own launcher it works normally with the scanner. All functions work normally. Of course I have to save the files and reopen them in elemnts or a.n.other image editor but at least I have not lost use of the scanner.

I will await an updated driver and then fully update Silverfast when it will work within photoshop

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Mon Oct 19, 2009 7:45 am
by LSI_Muenier
Dear rwelch,

thank you very much for your information!

Best regards
Martin

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Wed Dec 23, 2009 11:19 pm
by rwelch
So it works but it is a clumsy work around. We've been patient but when will Silverfast be compatible with my Powerlook 1000? Are you going to produce a compatible version?

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Thu Dec 24, 2009 9:14 am
by LSI_Ketelhohn
Dear rwelch,

The 6.4 Plug-in is only compatible with Photoshop up to CS2.
Are you maybe using a newer version?
For newer Photoshop versions you will need SilverFast 6.6.


kind regards
Arne Ketelhohn

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Thu Dec 24, 2009 8:00 pm
by rwelch
I am using Mac Photoshop Elements v6 with snow leopard. I am not going to upgrade to the latest version of Silverfast till you have a Powerlook 1000 driver that works with snow leopard. Your site says you don't yet have this

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Tue Jan 05, 2010 9:47 am
by LSI_Morales
Dear rwelch,

We do not produce the drivers for the scanner, we produce a software that works using the drivers from the manufacturer. As you might already know, Umax does not exist anymore.

Without new drivers for new operating systems we can not guarantee SilverFast will work steadily. Your version of SilverFast is not compatible with Snow Leopard nor Photoshop Elements 6.

It is possible (and we encourage all users) to download and test the latest demo version of SilverFast. However if you do not wish to and you can start and operate SilverFast 6.4 using the launcher, I recommend you stick to that procedure.

Thank you for your understanding

Kind regards

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Sat Jul 09, 2011 12:03 am
by pnorton1100
I have Silverfast 6.4.4r7a for UMAX PL 1100. It was working with OSX 10.4 Tiger and Photoshop CS4, but stopped when I had to get an Intel PowerMac Quad to replace my G5. The new machine came with Snow Leotard. I've called Lasersoft about six times, left messages, and sent emails. Not been able to contact them. This post was useful. I can launch using the Silverfast launcher. Photoshop opens the scan after I save it. I haven't explored further yet.

Delemma—to upgrade to Ai 6.6 costs $100. I can buy a new scanner (Cannon 9000) for less than $200. Not sure how long the UMAX will last and nothing about it is supported any longer. Does anyone have advice?

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Wed Jul 13, 2011 1:58 pm
by LSI_Ketelhohn
Dear customer,

unfortunately SilverFast 6.4 is not compatible with Snow Leopard.
The only way to install SilverFast on that operating system is an upgrade to 6.6.

kind regards,
Arne Ketelhohn.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Mon Jul 18, 2011 6:46 am
by pnorton1100
Arne,

As the original poster noted, the Silverfast launcher 5.4 does open and operates the scanner with Snow Leopard. When the scanned file is saved, Photoshop automatically opens so that it can be viewed and tweaked. So I don't understand why an upgrade for $100 is required. The original poster gave us an important tip.

Maybe you can tell us about the functionality of 6.6 in OS X Lion.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Thu Jul 21, 2011 8:30 am
by LSI_Ketelhohn
pnorton1100 wrote:Arne,

As the original poster noted, the SilverFast launcher 5.4 does open and operates the scanner with Snow Leopard. When the scanned file is saved, Photoshop automatically opens so that it can be viewed and tweaked. So I don't understand why an upgrade for $100 is required. The original poster gave us an important tip.

SilverFast 6.4 is not compatible wit newer Macs and OSX 10.5 10.6 .
Older Macs which have been upgraded from 10.4 sometimes retain the necessary libraries.
But fresh installations will not function with older versions.

pnorton1100 wrote:Maybe you can tell us about the functionality of 6.6 in OS X Lion.

SilverFast will be available completely renewed towards the end of August for the most important scanners of all major manufacturers.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Thu Jul 21, 2011 5:36 pm
by pnorton1100
First, I am using a Powerlook Model 1100 (no forum for them). I am using a new Mac, bought in June, PowerMac Pro Intel Xeon quad core that came with 10.6 OS X Snow Leopard. So this is not an upgraded older Mac. The model was released in mid-2010. It was not updated from Tiger OS X 10.4. My version of Silverfast is 6.4.4r7a. Perhaps I should contact the Vatican if this is a miracle! I guess the original poster should be eligible for this award too.

As for Lion and 6.6, I don't have 6.6 --I can't justify the cost of an upgrade-- and right now do not plan to run Lion-- I have software that runs under the Power PC emulator Rosetta.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Tue Jul 26, 2011 3:32 pm
by LSI_Ketelhohn
In our testing Center SilverFast 7.4 does not work with our newer Macs.
So I am not really able to explain why it does on yours.

kind regards,
Arne Ketelhohn.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Sun Feb 10, 2013 7:50 pm
by steve94
Hello. I have a mac running Snow Leopard. I am trying to get my UMAX Powerlook 1000 to work but I am having trouble. I am using Siverfast SE 6 that came with my scanner years ago. Is there anything I can do to get this scanner to work with Snow Leopard. Do I need to upgrade my Silverfast?

Thanks!

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Tue Feb 12, 2013 4:58 pm
by LSI_Ketelhohn
Dear customer,

I am afraid the UMAX Powerlook 1000is only supported on OSX 10.3.


kind regards,
Arne Ketelhohn.

Re: Powerlook 1000, Silverfast Ai and snow Leopard work!

Posted: Wed Feb 13, 2013 1:17 am
by steve94
Hmmm ok. Then I guess I should not pay for the upgrade to Silverfast 6.6? The original poster seems to suggest that he was able to get his Powerlook 1000 to work with Snow Leopard after the Silverfast upgrade. I don't want to waste $50 though if the scanner itself is not compatible with snow leopard. Is that what you are saying?

Thanks so much for your help.